package com.link.core.cache;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(
   prefix = "cache"
)
public class CacheConfigure {
   public static final String PREFIX = "cache";
   private boolean enable = true;
   private int cacheOrder = Integer.MAX_VALUE;

   public boolean isEnable() {
      return this.enable;
   }

   public void setEnable(boolean enable) {
      this.enable = enable;
   }

   public int getCacheOrder() {
      return this.cacheOrder;
   }

   public void setCacheOrder(int cacheOrder) {
      this.cacheOrder = cacheOrder;
   }
}
